Uploaded image for project: 'Thrift'
  1. Thrift
  2. THRIFT-5227

Thrift uses deprecated cabal commands

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Major
    • Resolution: Won't Fix
    • Affects Version/s: 0.13.0
    • Fix Version/s: None
    • Component/s: Haskell - Library
    • Labels:
      None

      Description

      The make/cmake builds currently use the cabal legacy commands:

       

      warning : The update command is a part of the legacy v1 style of cabal usage. Please switch to using either the new project style and the new-update command

      Those are deprecated. Furthermore, with the most recent cabal version the "cabal install" command fails. The build system should be updated to use cabal v2-* commands.

       

      This only affects the development/CI environment. Releases published to hackage can be built using the new or old cabal commands.

       

      I am currently looking into what needs to be changed.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                Unassigned
                Reporter:
                phile314 Philipp Hausmann
              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:

                  Time Tracking

                  Estimated:
                  Original Estimate - Not Specified
                  Not Specified
                  Remaining:
                  Remaining Estimate - 0h
                  0h
                  Logged:
                  Time Spent - 40m
                  40m